AIAutomations
Generates or rotates an AI Automation webhook trigger secret
Returns a new secret for a webhook trigger. The previous secret stops working immediately. The secret is only returned in this response; Rootly stores a SHA-256 digest of it.
POST
/
v1
/
ai_automations
/
{id}
/
triggers
/
{trigger_id}
/
webhook_secret
Generates or rotates an AI Automation webhook trigger secret
curl --request POST \
--url https://api.rootly.com/v1/ai_automations/{id}/triggers/{trigger_id}/webhook_secret \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '{}'import requests
url = "https://api.rootly.com/v1/ai_automations/{id}/triggers/{trigger_id}/webhook_secret"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({})
};
fetch('https://api.rootly.com/v1/ai_automations/{id}/triggers/{trigger_id}/webhook_secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rootly.com/v1/ai_automations/{id}/triggers/{trigger_id}/webhook_secret",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rootly.com/v1/ai_automations/{id}/triggers/{trigger_id}/webhook_secret"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rootly.com/v1/ai_automations/{id}/triggers/{trigger_id}/webhook_secret")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rootly.com/v1/ai_automations/{id}/triggers/{trigger_id}/webhook_secret")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"type": "ai_automation_webhook_secrets",
"attributes": {
"secret": "<string>",
"webhook_url": "<string>",
"rotated_at": "2023-11-07T05:31:56Z"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
The body is of type object.
Response
secret generated
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Generates or rotates an AI Automation webhook trigger secret
curl --request POST \
--url https://api.rootly.com/v1/ai_automations/{id}/triggers/{trigger_id}/webhook_secret \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '{}'import requests
url = "https://api.rootly.com/v1/ai_automations/{id}/triggers/{trigger_id}/webhook_secret"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({})
};
fetch('https://api.rootly.com/v1/ai_automations/{id}/triggers/{trigger_id}/webhook_secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rootly.com/v1/ai_automations/{id}/triggers/{trigger_id}/webhook_secret",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rootly.com/v1/ai_automations/{id}/triggers/{trigger_id}/webhook_secret"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rootly.com/v1/ai_automations/{id}/triggers/{trigger_id}/webhook_secret")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rootly.com/v1/ai_automations/{id}/triggers/{trigger_id}/webhook_secret")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"type": "ai_automation_webhook_secrets",
"attributes": {
"secret": "<string>",
"webhook_url": "<string>",
"rotated_at": "2023-11-07T05:31:56Z"
}
}
}